Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMutexLock Class Reference

`#include <vtkMutexLock.h>`

Inheritance diagram for vtkMutexLock:

[legend]
Collaboration diagram for vtkMutexLock:

[legend]
List of all members.

## Detailed Description

mutual exclusion locking class

Date:
  2003/01/29 21:14:52

Revision:
  1.25

vtkMutexLock allows the locking of variables which are accessed through different threads. This header file also defines vtkSimpleMutexLock which is not a subclass of vtkObject.

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (43%)
  - Law, Charles (20%)
  - Kelly, Ann (7%)
  - Schroeder, Will (7%)
  - Martin, Ken (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkMutexLock.cxx)`
  - .`h` (`/Common/vtkMutexLock.h)`

Definition at line 100 of file vtkMutexLock.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Lock (void)
void | Unlock (void)
## Static Public Methods
vtkMutexLock * | New ()
int | IsTypeOf (const char *type)
vtkMutexLock * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMutexLock ()
## Protected Attributes
vtkSimpleMutexLock | SimpleMutexLock

## Member Typedef Documentation

typedef vtkObject vtkMutexLock::Superclass

| Reimplemented from vtkObject. Definition at line 105 of file vtkMutexLock.h.

## Constructor & Destructor Documentation

vtkMutexLock::vtkMutexLock | ( |  | ) | `[inline, protected]`

| Definition at line 116 of file vtkMutexLock.h.

## Member Function Documentation

vtkMutexLock* vtkMutexLock::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkMutexLock::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkMutexLock::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkMutexLock::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkMutexLock* vtkMutexLock::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkMutexLock::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

void vtkMutexLock::Lock | ( | void |  | ) | `[inline]`

| Lock the vtkMutexLock Definition at line 123 of file vtkMutexLock.h. References vtkSimpleMutexLock::Lock(), and SimpleMutexLock.

void vtkMutexLock::Unlock | ( | void |  | ) | `[inline]`

| Unlock the vtkMutexLock Definition at line 128 of file vtkMutexLock.h. References SimpleMutexLock, and vtkSimpleMutexLock::Unlock().

## Member Data Documentation

vtkSimpleMutexLock vtkMutexLock::SimpleMutexLock`[protected]`

| Definition at line 115 of file vtkMutexLock.h. Referenced by Lock(), and Unlock().

The documentation for this class was generated from the following file:

- Common/vtkMutexLock.h